## WebKitDOMHTMLMediaElement WebKitDOMHTMLMediaElement |

## Functions

void | webkit_dom_html_media_element_load ()
gchar * | webkit_dom_html_media_element_can_play_type ()
void | webkit_dom_html_media_element_play ()
void | webkit_dom_html_media_element_pause ()
void | webkit_dom_html_media_element_fast_seek ()
WebKitDOMTextTrack * | webkit_dom_html_media_element_add_text_track ()
void | webkit_dom_html_media_element_webkit_show_playback_target_picker ()
WebKitDOMMediaError * | webkit_dom_html_media_element_get_error ()
gchar * | webkit_dom_html_media_element_get_src ()
void | webkit_dom_html_media_element_set_src ()
gchar * | webkit_dom_html_media_element_get_current_src ()
gushort | webkit_dom_html_media_element_get_network_state ()
gchar * | webkit_dom_html_media_element_get_preload ()
void | webkit_dom_html_media_element_set_preload ()
WebKitDOMTimeRanges * | webkit_dom_html_media_element_get_buffered ()
gushort | webkit_dom_html_media_element_get_ready_state ()
gboolean | webkit_dom_html_media_element_get_seeking ()
gdouble | webkit_dom_html_media_element_get_current_time ()
gdouble | webkit_dom_html_media_element_get_duration ()
gboolean | webkit_dom_html_media_element_get_paused ()
gdouble | webkit_dom_html_media_element_get_default_playback_rate ()
void | webkit_dom_html_media_element_set_default_playback_rate ()
gdouble | webkit_dom_html_media_element_get_playback_rate ()
void | webkit_dom_html_media_element_set_playback_rate ()
WebKitDOMTimeRanges * | webkit_dom_html_media_element_get_played ()
WebKitDOMTimeRanges * | webkit_dom_html_media_element_get_seekable ()
gboolean | webkit_dom_html_media_element_get_ended ()
gboolean | webkit_dom_html_media_element_get_autoplay ()
void | webkit_dom_html_media_element_set_autoplay ()
gboolean | webkit_dom_html_media_element_get_loop ()
void | webkit_dom_html_media_element_set_loop ()
gboolean | webkit_dom_html_media_element_get_controls ()
void | webkit_dom_html_media_element_set_controls ()
gdouble | webkit_dom_html_media_element_get_volume ()
void | webkit_dom_html_media_element_set_volume ()
gboolean | webkit_dom_html_media_element_get_muted ()
void | webkit_dom_html_media_element_set_muted ()
gboolean | webkit_dom_html_media_element_get_default_muted ()
void | webkit_dom_html_media_element_set_default_muted ()
gboolean | webkit_dom_html_media_element_get_webkit_preserves_pitch ()
void | webkit_dom_html_media_element_set_webkit_preserves_pitch ()
gboolean | webkit_dom_html_media_element_get_webkit_has_closed_captions ()
gboolean | webkit_dom_html_media_element_get_webkit_closed_captions_visible ()
void | webkit_dom_html_media_element_set_webkit_closed_captions_visible ()
gulong | webkit_dom_html_media_element_get_webkit_audio_decoded_byte_count ()
gulong | webkit_dom_html_media_element_get_webkit_video_decoded_byte_count ()
WebKitDOMAudioTrackList * | webkit_dom_html_media_element_get_audio_tracks ()
WebKitDOMTextTrackList * | webkit_dom_html_media_element_get_text_tracks ()
WebKitDOMVideoTrackList * | webkit_dom_html_media_element_get_video_tracks ()
gchar * | webkit_dom_html_media_element_get_media_group ()
void | webkit_dom_html_media_element_set_media_group ()
WebKitDOMMediaController * | webkit_dom_html_media_element_get_controller ()
gboolean | webkit_dom_html_media_element_get_webkit_current_playback_target_is_wireless ()
gdouble | webkit_dom_html_media_element_get_start_time ()
gdouble | webkit_dom_html_media_element_get_initial_time ()

## Properties

WebKitDOMAudioTrackList * | audio-tracks | Read
gboolean | autoplay | Read / Write
WebKitDOMTimeRanges * | buffered | Read
WebKitDOMMediaController * | controller | Read
gboolean | controls | Read / Write
gchar * | current-src | Read
gdouble | current-time | Read / Write
gboolean | default-muted | Read / Write
gdouble | default-playback-rate | Read / Write
gdouble | duration | Read
gboolean | ended | Read
WebKitDOMMediaError * | error | Read
gboolean | loop | Read / Write
gchar * | media-group | Read / Write
gboolean | muted | Read / Write
guint | network-state | Read
gboolean | paused | Read
gdouble | playback-rate | Read / Write
WebKitDOMTimeRanges * | played | Read
gchar * | preload | Read / Write
guint | ready-state | Read
WebKitDOMTimeRanges * | seekable | Read
gboolean | seeking | Read
gchar * | src | Read / Write
WebKitDOMTextTrackList * | text-tracks | Read
WebKitDOMVideoTrackList * | video-tracks | Read
gdouble | volume | Read / Write
gulong | webkit-audio-decoded-byte-count | Read
gboolean | webkit-closed-captions-visible | Read / Write
gboolean | webkit-current-playback-target-is-wireless | Read
gboolean | webkit-has-closed-captions | Read
gboolean | webkit-preserves-pitch | Read / Write
gulong | webkit-video-decoded-byte-count | Read

## Types and Values

| WebKitDOMHTMLMediaElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLMediaElement
                            ├── WebKitDOMHTMLAudioElement
                            ╰── WebKitDOMHTMLVideoElement

## Implemented Interfaces

WebKitDOMHTMLMediaElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_media_element_load ()

    void
    webkit_dom_html_media_element_load (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

### webkit_dom_html_media_element_can_play_type ()

    gchar *
    webkit_dom_html_media_element_can_play_type
                                   (WebKitDOMHTMLMediaElement *self,
                                    const gchar *type);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
type | A gchar |

#### Returns

A gchar

### webkit_dom_html_media_element_play ()

    void
    webkit_dom_html_media_element_play (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

### webkit_dom_html_media_element_pause ()

    void
    webkit_dom_html_media_element_pause (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

### webkit_dom_html_media_element_fast_seek ()

    void
    webkit_dom_html_media_element_fast_seek
                                   (WebKitDOMHTMLMediaElement *self,
                                    gdouble time);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
time | A gdouble |

### webkit_dom_html_media_element_add_text_track ()

    WebKitDOMTextTrack *
    webkit_dom_html_media_element_add_text_track
                                   (WebKitDOMHTMLMediaElement *self,
                                    const gchar *kind,
                                    const gchar *label,
                                    const gchar *language,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
kind | A gchar |
label | A gchar |
language | A gchar |
error | GError |

#### Returns

A WebKitDOMTextTrack.

[transfer full]

### webkit_dom_html_media_element_webkit_show_playback_target_picker ()

    void
    webkit_dom_html_media_element_webkit_show_playback_target_picker
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

### webkit_dom_html_media_element_get_error ()

    WebKitDOMMediaError *
    webkit_dom_html_media_element_get_error
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A WebKitDOMMediaError.

[transfer full]

### webkit_dom_html_media_element_get_src ()

    gchar *
    webkit_dom_html_media_element_get_src (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gchar

### webkit_dom_html_media_element_set_src ()

    void
    webkit_dom_html_media_element_set_src (WebKitDOMHTMLMediaElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gchar |

### webkit_dom_html_media_element_get_current_src ()

    gchar *
    webkit_dom_html_media_element_get_current_src
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gchar

### webkit_dom_html_media_element_get_network_state ()

    gushort
    webkit_dom_html_media_element_get_network_state
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gushort

### webkit_dom_html_media_element_get_preload ()

    gchar *
    webkit_dom_html_media_element_get_preload
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gchar

### webkit_dom_html_media_element_set_preload ()

    void
    webkit_dom_html_media_element_set_preload
                                   (WebKitDOMHTMLMediaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gchar |

### webkit_dom_html_media_element_get_buffered ()

    WebKitDOMTimeRanges *
    webkit_dom_html_media_element_get_buffered
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A WebKitDOMTimeRanges.

[transfer full]

### webkit_dom_html_media_element_get_ready_state ()

    gushort
    webkit_dom_html_media_element_get_ready_state
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gushort

### webkit_dom_html_media_element_get_seeking ()

    gboolean
    webkit_dom_html_media_element_get_seeking
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gboolean

### webkit_dom_html_media_element_get_current_time ()

    gdouble
    webkit_dom_html_media_element_get_current_time
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gdouble

### webkit_dom_html_media_element_get_duration ()

    gdouble
    webkit_dom_html_media_element_get_duration
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gdouble

### webkit_dom_html_media_element_get_paused ()

    gboolean
    webkit_dom_html_media_element_get_paused
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gboolean

### webkit_dom_html_media_element_get_default_playback_rate ()

    gdouble
    webkit_dom_html_media_element_get_default_playback_rate
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gdouble

### webkit_dom_html_media_element_set_default_playback_rate ()

    void
    webkit_dom_html_media_element_set_default_playback_rate
                                   (WebKitDOMHTMLMediaElement *self,
                                    gdouble value);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gdouble |

### webkit_dom_html_media_element_get_playback_rate ()

    gdouble
    webkit_dom_html_media_element_get_playback_rate
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gdouble

### webkit_dom_html_media_element_set_playback_rate ()

    void
    webkit_dom_html_media_element_set_playback_rate
                                   (WebKitDOMHTMLMediaElement *self,
                                    gdouble value);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gdouble |

### webkit_dom_html_media_element_get_played ()

    WebKitDOMTimeRanges *
    webkit_dom_html_media_element_get_played
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A WebKitDOMTimeRanges.

[transfer full]

### webkit_dom_html_media_element_get_seekable ()

    WebKitDOMTimeRanges *
    webkit_dom_html_media_element_get_seekable
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A WebKitDOMTimeRanges.

[transfer full]

### webkit_dom_html_media_element_get_ended ()

    gboolean
    webkit_dom_html_media_element_get_ended
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gboolean

### webkit_dom_html_media_element_get_autoplay ()

    gboolean
    webkit_dom_html_media_element_get_autoplay
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gboolean

### webkit_dom_html_media_element_set_autoplay ()

    void
    webkit_dom_html_media_element_set_autoplay
                                   (WebKitDOMHTMLMediaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gboolean |

### webkit_dom_html_media_element_get_loop ()

    gboolean
    webkit_dom_html_media_element_get_loop
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gboolean

### webkit_dom_html_media_element_set_loop ()

    void
    webkit_dom_html_media_element_set_loop
                                   (WebKitDOMHTMLMediaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gboolean |

### webkit_dom_html_media_element_get_controls ()

    gboolean
    webkit_dom_html_media_element_get_controls
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gboolean

### webkit_dom_html_media_element_set_controls ()

    void
    webkit_dom_html_media_element_set_controls
                                   (WebKitDOMHTMLMediaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gboolean |

### webkit_dom_html_media_element_get_volume ()

    gdouble
    webkit_dom_html_media_element_get_volume
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gdouble

### webkit_dom_html_media_element_set_volume ()

    void
    webkit_dom_html_media_element_set_volume
                                   (WebKitDOMHTMLMediaElement *self,
                                    gdouble value,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gdouble |
error | GError |

### webkit_dom_html_media_element_get_muted ()

    gboolean
    webkit_dom_html_media_element_get_muted
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gboolean

### webkit_dom_html_media_element_set_muted ()

    void
    webkit_dom_html_media_element_set_muted
                                   (WebKitDOMHTMLMediaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gboolean |

### webkit_dom_html_media_element_get_default_muted ()

    gboolean
    webkit_dom_html_media_element_get_default_muted
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gboolean

### webkit_dom_html_media_element_set_default_muted ()

    void
    webkit_dom_html_media_element_set_default_muted
                                   (WebKitDOMHTMLMediaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gboolean |

### webkit_dom_html_media_element_get_webkit_preserves_pitch ()

    gboolean
    webkit_dom_html_media_element_get_webkit_preserves_pitch
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gboolean

### webkit_dom_html_media_element_set_webkit_preserves_pitch ()

    void
    webkit_dom_html_media_element_set_webkit_preserves_pitch
                                   (WebKitDOMHTMLMediaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gboolean |

### webkit_dom_html_media_element_get_webkit_has_closed_captions ()

    gboolean
    webkit_dom_html_media_element_get_webkit_has_closed_captions
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gboolean

### webkit_dom_html_media_element_get_webkit_closed_captions_visible ()

    gboolean
    webkit_dom_html_media_element_get_webkit_closed_captions_visible
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gboolean

### webkit_dom_html_media_element_set_webkit_closed_captions_visible ()

    void
    webkit_dom_html_media_element_set_webkit_closed_captions_visible
                                   (WebKitDOMHTMLMediaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gboolean |

### webkit_dom_html_media_element_get_webkit_audio_decoded_byte_count ()

    gulong
    webkit_dom_html_media_element_get_webkit_audio_decoded_byte_count
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gulong

### webkit_dom_html_media_element_get_webkit_video_decoded_byte_count ()

    gulong
    webkit_dom_html_media_element_get_webkit_video_decoded_byte_count
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gulong

### webkit_dom_html_media_element_get_audio_tracks ()

    WebKitDOMAudioTrackList *
    webkit_dom_html_media_element_get_audio_tracks
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A WebKitDOMAudioTrackList.

[transfer full]

### webkit_dom_html_media_element_get_text_tracks ()

    WebKitDOMTextTrackList *
    webkit_dom_html_media_element_get_text_tracks
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A WebKitDOMTextTrackList.

[transfer none]

### webkit_dom_html_media_element_get_video_tracks ()

    WebKitDOMVideoTrackList *
    webkit_dom_html_media_element_get_video_tracks
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A WebKitDOMVideoTrackList.

[transfer none]

### webkit_dom_html_media_element_get_media_group ()

    gchar *
    webkit_dom_html_media_element_get_media_group
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gchar

### webkit_dom_html_media_element_set_media_group ()

    void
    webkit_dom_html_media_element_set_media_group
                                   (WebKitDOMHTMLMediaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMediaElement |
value | A gchar |

### webkit_dom_html_media_element_get_controller ()

    WebKitDOMMediaController *
    webkit_dom_html_media_element_get_controller
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A WebKitDOMMediaController.

[transfer full]

### webkit_dom_html_media_element_get_webkit_current_playback_target_is_wireless ()

    gboolean
    webkit_dom_html_media_element_get_webkit_current_playback_target_is_wireless
                                   (WebKitDOMHTMLMediaElement *self);

#### Parameters

self | A WebKitDOMHTMLMediaElement |

#### Returns

A gboolean

### webkit_dom_html_media_element_get_start_time ()

    gdouble
    webkit_dom_html_media_element_get_start_time
                                   (WebKitDOMHTMLMediaElement *self);

`webkit_dom_html_media_element_get_start_time` is deprecated and should not be used in newly-written code.

#### Returns

### webkit_dom_html_media_element_get_initial_time ()

    gdouble
    webkit_dom_html_media_element_get_initial_time
                                   (WebKitDOMHTMLMediaElement *self);

`webkit_dom_html_media_element_get_initial_time` is deprecated and should not be used in newly-written code.

#### Returns

## Types and Values

### WebKitDOMHTMLMediaElement

    typedef struct _WebKitDOMHTMLMediaElement WebKitDOMHTMLMediaElement;

## Property Details

### The `“audio-tracks”` property

      “audio-tracks”             WebKitDOMAudioTrackList *

read-only WebKitDOMAudioTrackList* HTMLMediaElement:audio-tracks.

Flags: Read

### The `“autoplay”` property

      “autoplay”                 gboolean

read-write gboolean HTMLMediaElement:autoplay.

Flags: Read / Write

Default value: FALSE

### The `“buffered”` property

      “buffered”                 WebKitDOMTimeRanges *

read-only WebKitDOMTimeRanges* HTMLMediaElement:buffered.

Flags: Read

### The `“controller”` property

      “controller”               WebKitDOMMediaController *

read-only WebKitDOMMediaController* HTMLMediaElement:controller.

Flags: Read

### The `“controls”` property

      “controls”                 gboolean

read-write gboolean HTMLMediaElement:controls.

Flags: Read / Write

Default value: FALSE

### The `“current-src”` property

      “current-src”              gchar *

read-only gchar* HTMLMediaElement:current-src.

Flags: Read

Default value: ""

### The `“current-time”` property

      “current-time”             gdouble

read-write gdouble HTMLMediaElement:current-time.

Flags: Read / Write

Default value: 0

### The `“default-muted”` property

      “default-muted”            gboolean

read-write gboolean HTMLMediaElement:default-muted.

Flags: Read / Write

Default value: FALSE

### The `“default-playback-rate”` property

      “default-playback-rate”    gdouble

read-write gdouble HTMLMediaElement:default-playback-rate.

Flags: Read / Write

Default value: 0

### The `“duration”` property

      “duration”                 gdouble

read-only gdouble HTMLMediaElement:duration.

Flags: Read

Default value: 0

### The `“ended”` property

      “ended”                    gboolean

read-only gboolean HTMLMediaElement:ended.

Flags: Read

Default value: FALSE

### The `“error”` property

      “error”                    WebKitDOMMediaError *

read-only WebKitDOMMediaError* HTMLMediaElement:error.

Flags: Read

### The `“loop”` property

      “loop”                     gboolean

read-write gboolean HTMLMediaElement:loop.

Flags: Read / Write

Default value: FALSE

### The `“media-group”` property

      “media-group”              gchar *

read-write gchar* HTMLMediaElement:media-group.

Flags: Read / Write

Default value: ""

### The `“muted”` property

      “muted”                    gboolean

read-write gboolean HTMLMediaElement:muted.

Flags: Read / Write

Default value: FALSE

### The `“network-state”` property

      “network-state”            guint

read-only gushort HTMLMediaElement:network-state.

Flags: Read

Default value: 0

### The `“paused”` property

      “paused”                   gboolean

read-only gboolean HTMLMediaElement:paused.

Flags: Read

Default value: FALSE

### The `“playback-rate”` property

      “playback-rate”            gdouble

read-write gdouble HTMLMediaElement:playback-rate.

Flags: Read / Write

Default value: 0

### The `“played”` property

      “played”                   WebKitDOMTimeRanges *

read-only WebKitDOMTimeRanges* HTMLMediaElement:played.

Flags: Read

### The `“preload”` property

      “preload”                  gchar *

read-write gchar* HTMLMediaElement:preload.

Flags: Read / Write

Default value: ""

### The `“ready-state”` property

      “ready-state”              guint

read-only gushort HTMLMediaElement:ready-state.

Flags: Read

Default value: 0

### The `“seekable”` property

      “seekable”                 WebKitDOMTimeRanges *

read-only WebKitDOMTimeRanges* HTMLMediaElement:seekable.

Flags: Read

### The `“seeking”` property

      “seeking”                  gboolean

read-only gboolean HTMLMediaElement:seeking.

Flags: Read

Default value: FALSE

### The `“src”` property

      “src”                      gchar *

read-write gchar* HTMLMediaElement:src.

Flags: Read / Write

Default value: ""

### The `“text-tracks”` property

      “text-tracks”              WebKitDOMTextTrackList *

read-only WebKitDOMTextTrackList* HTMLMediaElement:text-tracks.

Flags: Read

### The `“video-tracks”` property

      “video-tracks”             WebKitDOMVideoTrackList *

read-only WebKitDOMVideoTrackList* HTMLMediaElement:video-tracks.

Flags: Read

### The `“volume”` property

      “volume”                   gdouble

read-write gdouble HTMLMediaElement:volume.

Flags: Read / Write

Default value: 0

### The `“webkit-audio-decoded-byte-count”` property

      “webkit-audio-decoded-byte-count” gulong

read-only gulong HTMLMediaElement:webkit-audio-decoded-byte-count.

Flags: Read

### The `“webkit-closed-captions-visible”` property

      “webkit-closed-captions-visible” gboolean

read-write gboolean HTMLMediaElement:webkit-closed-captions-visible.

Flags: Read / Write

Default value: FALSE

### The `“webkit-current-playback-target-is-wireless”` property

      “webkit-current-playback-target-is-wireless” gboolean

read-only gboolean HTMLMediaElement:webkit-current-playback-target-is-wireless.

Flags: Read

Default value: FALSE

### The `“webkit-has-closed-captions”` property

      “webkit-has-closed-captions” gboolean

read-only gboolean HTMLMediaElement:webkit-has-closed-captions.

Flags: Read

Default value: FALSE

### The `“webkit-preserves-pitch”` property

      “webkit-preserves-pitch”   gboolean

read-write gboolean HTMLMediaElement:webkit-preserves-pitch.

Flags: Read / Write

Default value: FALSE

### The `“webkit-video-decoded-byte-count”` property

      “webkit-video-decoded-byte-count” gulong

read-only gulong HTMLMediaElement:webkit-video-decoded-byte-count.

Flags: Read